Name:		kchmviewer
Version:	7.7
Release:	%mkrel 1
Summary:	KDE chm viewer
License:	GPLv2+
URL:		http://kchmviewer.sourceforge.net/
Group:		Graphical desktop/KDE
Source:		http://downloads.sourceforge.net/kchmviewer/%{name}-%{version}.tar.gz
Patch0:		kchmviewer-7.7-underlinking.patch
Patch1:		kchmviewer-7.7-force-qtwebkit.patch
Patch2:		kchmviewer-7.7-fix-desktop-file-and-install-if-qt5.patch
BuildRequires:	imagemagick
BuildRequires:	gettext
BuildRequires:	chmlib-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libzip)

Requires:	okular

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
library, and does not depend on KDE or Gnome. However,
it may be compiled with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support.
Unlike others, KchmViewer in most cases correctly detects help file encoding,
correctly shows tables of context of Russian, Korean, Chinese and Japanese help
files, and correctly searches in non-English help files
(search for MBCS languages - ja/ko/ch is still in progress).

%files -f %{name}.lang
%{_bindir}/kchmviewer
%{_datadir}/applications/kchmviewer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install -m644 packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

for i in 16x16 32x32 48x48 64x64; do
    convert -scale $i packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

# install manually all translation files (Only with Qt5)
pushd po
for lang in cs de fr hu it nl pt_BR ru sv tr uk zh_CN zh_TW; do
     msgfmt --check -o %{name}_$lang.mo %{name}_$lang.po
     mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
     install -m 644 %{name}_$lang.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/%{name}.mo
done
popd

%find_lang %{name}


%changelog
* Sun Nov 13 2016 daviddavid <daviddavid> 7.7-1.mga6
+ Revision: 1067030
- port to Qt5
- use qmake_qt5 as cmake is only for KDE4
- add two patches from gentoo to fix build against Qt5 5.6+
- package all translation files manually

  + luigiwalser <luigiwalser>
    - 7.7

* Sat Mar 05 2016 blino <blino> 7.5-3.mga6
+ Revision: 985966
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Sat Jan 02 2016 luigiwalser <luigiwalser> 7.5-2.mga6
+ Revision: 918282
- 7.5

* Thu Nov 19 2015 daviddavid <daviddavid> 7.3-3.mga6
+ Revision: 904214
+ rebuild (emptylog)

* Thu Nov 19 2015 daviddavid <daviddavid> 7.3-2.mga6
+ Revision: 904175
- rebuild for new libzip 1.0.1

* Sun Jun 21 2015 luigiwalser <luigiwalser> 7.3-1.mga6
+ Revision: 837423
- 7.3
- add patch to fix linking
- add libzip-devel BR

* Wed Oct 15 2014 umeabot <umeabot> 6.0-5.mga5
+ Revision: 741650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0-4.mga5
+ Revision: 680953
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.0-3.mga4
+ Revision: 506561
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6.0-2.mga3
+ Revision: 355892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 26 2011 fwang <fwang> 6.0-1.mga2
+ Revision: 187800
- new version 6.0

  + ahmad <ahmad>
    - Install more icons
    - Add a patch to make KHTMLPART used/selected by default

* Tue Jun 28 2011 fwang <fwang> 5.3-1.mga2
+ Revision: 115084
- new version 5.3

* Tue Jun 07 2011 ahmad <ahmad> 5.2-2.mga2
+ Revision: 101640
- Drop old/unneeded scriptlets
- imported package kchmviewer

